Subject: I'm having problems with CPAN mod...
From: "Muhammad Isa" <[email-masked]>
To: [email-masked]
Date: Fri, 29 Mar 2002 12:58:33 -0000
Newsgroups: gmane.os.cygwin

Hi,                A PERL QUESTION ???
                  ---------------------
   I was wondering if anybody has noticed a problem with the CPAN 'shell'.
With all other 'Net' applications shut down, it seems to behave quite well,
except when running the 'readme' routine.
   It first says it's running the 'readme' routine, then goes quiet for a
few minutes, then the hard drive sounds like it's having a war with
something for 30 seconds, then finally displays a 1Kb readme in the 'less'
pager. On quitting the pager, it again makes a heck of a din for a while,
disconnecting from the net in the process, and maybe losing keyboard
functionality altogether.
   I presume this is a 'Cygwin' related problem? (or perhaps set-up?). My
system info is as follows:-

Cygwin Win95/NT Configuration Diagnostics
Current System Time: Fri Mar 29 12:12:37 2002

Windows 98 SE Ver 4.10 Build 2222

Path:   C:\cygwin\usr\local\bin
        C:\cygwin\bin
        C:\cygwin\bin
        C:\cygwin\usr\local\bin
        C:\cygwin\bin
        C:\cygwin\bin
        c:\WINDOWS
        c:\WINDOWS\COMMAND

SysDir: C:\WINDOWS\SYSTEM
WinDir: C:\WINDOWS

HOME = `C:\cygwin\home\isafam'
MAKE_MODE = `unix'
PWD = `/home/isafam/Scripts-pl'
USER = `isafam'

Use `-r' to scan registry

a:  fd           N/A    N/A
c:  hd  FAT32   3029Mb  26% CP    UN
d:  cd           N/A    N/A

.              /cygdrive  user    binmode,noumount
C:/cygwin      /          system  binmode
C:/cygwin/bin  /usr/bin   system  binmode
C:/cygwin/lib  /usr/lib   system  binmode

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Found: C:\cygwin\bin\cpp.exe
Found: C:\cygwin\bin\find.exe
Found: c:\WINDOWS\COMMAND\find.exe
Found: C:\cygwin\bin\gcc.exe
Not Found: gdb
Found: C:\cygwin\bin\ld.exe
Found: C:\cygwin\bin\ls.exe
Found: C:\cygwin\bin\make.exe
Found: C:\cygwin\bin\sh.exe

   19k 2002/02/20 C:\cygwin\bin\cyggdbm.dll
   45k 2001/04/25 C:\cygwin\bin\cygform5.dll
   26k 2001/04/25 C:\cygwin\bin\cygmenu5.dll
  156k 2001/04/25 C:\cygwin\bin\cygncurses++5.dll
  226k 2001/04/25 C:\cygwin\bin\cygncurses5.dll
   15k 2001/04/25 C:\cygwin\bin\cygpanel5.dll
   35k 2002/01/09 C:\cygwin\bin\cygform6.dll
   20k 2002/01/09 C:\cygwin\bin\cygmenu6.dll
  175k 2002/01/09 C:\cygwin\bin\cygncurses++6.dll
  202k 2002/01/09 C:\cygwin\bin\cygncurses6.dll
   12k 2002/01/09 C:\cygwin\bin\cygpanel6.dll
   17k 2001/06/28 C:\cygwin\bin\cyghistory4.dll
  108k 2001/06/28 C:\cygwin\bin\cygreadline4.dll
   20k 2002/01/13 C:\cygwin\bin\cyghistory5.dll
  121k 2002/01/13 C:\cygwin\bin\cygreadline5.dll
   50k 2002/03/12 C:\cygwin\bin\cygz.dll
   21k 2001/06/20 C:\cygwin\bin\cygintl.dll
   22k 2001/12/13 C:\cygwin\bin\cygintl-1.dll
  621k 2002/01/16 C:\cygwin\bin\cygcrypto.dll
  156k 2002/01/16 C:\cygwin\bin\cygssl.dll
   40k 2001/11/21 C:\cygwin\bin\cygpcre.dll
   39k 2001/11/21 C:\cygwin\bin\cygpcreposix.dll
   81k 2000/12/05 C:\cygwin\bin\cygitcl30.dll
   35k 2000/12/05 C:\cygwin\bin\cygitk30.dll
  390k 2001/01/18 C:\cygwin\bin\cygtcl80.dll
    5k 2001/01/18 C:\cygwin\bin\cygtclpip80.dll
   10k 2001/01/18 C:\cygwin\bin\cygtclreg80.dll
  623k 2000/12/05 C:\cygwin\bin\cygtk80.dll
   41k 2002/01/20 C:\cygwin\bin\cygXpm-noX4.dll
   46k 2002/01/20 C:\cygwin\bin\cygXpm-X4.dll
   56k 2000/12/03 C:\cygwin\bin\cygbz21.0.dll
  751k 2002/02/25 C:\cygwin\bin\cygwin1.dll
    Cygwin DLL version info:
        DLL version: 1.3.10
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 51
        Shared data: 3
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix:
        Build date: Mon Feb 25 11:14:34 EST 2002
        Shared id: cygwin1S3

Cygwin Package Information
Package             Version
ash                 20020131-1
bash                2.05a-3
binutils            20011002-1
bison               1.34-1
bzip2               1.0.1-6
cpio                2.4.2
crypt               1.0-1
cygutils            1.0.0-1
cygwin              1.3.10-1
diff                0.0
ed                  0.2-1
expect              20010117-1
figlet              2.2-1
file                3.37-1
fileutils           4.1-1
findutils           4.1
flex                2.5.4-1
gawk                3.0.4-1
gcc                 2.95.3-5
gdbm                1.8.0-4
grep                2.5g
groff               1.17.2-1
gzip                1.3.2-1
less                374-1
libintl             0.10.38-3
libintl1            0.10.40-1
libncurses5         5.2-1
libncurses6         5.2-8
libreadline4        4.1-2
libreadline5        4.2a-1
login               1.4-3
lynx                2.8.4-1
lynx-src            2.8.4-1
make                3.79.1-5
man                 1.5g-2
mktemp              1.4-1
ncurses             5.2-8
openssl             0.9.6c-3
pcre                3.7-1
perl                5.6.1-2
popt                1.6.2-1
readline            4.2a-1
rxvt                2.7.2-10
sed                 3.02-1
sh-utils            2.0-2
tar                 1.13.19-1
tcltk               20001125-1
termcap             20010825-1
terminfo            5.2-1
texinfo             4.1-1
textutils           2.0.21-1
vim                 6.0.93-1
w32api              1.2-2
which               1.5-1
xpm-nox             4.2.0-1
zlib                1.1.4-1

   Overall, I am very pleased with 'Cygwin' and can see how much work is
going in to this project. I congratulate all those concerned.

               Muhammad Isa             Worcs.  UK

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/